package com.fjhx.config.http;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

@Component
public class EmailEngineUtil {

    private static String urlPrefix;

    private static final RestTemplate restTemplate = new RestTemplate();

    @Value("${config.urlPrefix}")
    public void setUrlPrefix(String urlPrefix) {
        EmailEngineUtil.urlPrefix = urlPrefix;
    }

    public static <T> T get(String url, Class<T> cls) {
        String result = HttpUtil.get(urlPrefix + url);
        return JSONObject.parseObject(result).toJavaObject(cls);
    }

    public static <T> T post(String url, Object paramObj, Class<T> cls) {
        return restTemplate.postForObject(urlPrefix + url, paramObj, cls);
    }

}
